[_tb_system_call storage=system/_foodhunt2.ks]

*begin

[playbgm  volume="100"  time="700"  loop="false"  storage="orcwaifu_forest.ogg"  fadein="true"  ]
[cm  ]
[tb_image_hide  time="1000"  ]
[chara_hide_all  time="1000"  wait="true"  ]
[bg  time="1000"  method="crossfade"  storage="blackbg.jpg"  ]
[bg  time="1000"  method="crossfade"  storage="bgorcnighta.jpg"  ]
*startrandomhunt

[tb_eval  exp="f.randomhunt1=Math.floor(Math.random()*(7-0)+1)+0"  name="randomhunt1"  cmd="="  op="r"  val="0"  val_2="7"  ]
[tb_start_tyrano_code]
[eval exp="f.Number=f.randomhunt1"]

[if exp="f.Number ==1"]
[jump storage=foodhunt2.ks target=*hunt1]
[elsif exp="f.Number == 2"]
[jump storage=foodhunt2.ks target=*hunt2]
[elsif exp="f.Number == 3"]
[jump storage=foodhunt2.ks target=*hunt2]
[elsif exp="f.Number == 4"]
[jump storage=foodhunt2.ks target=*hunt1]
[elsif exp="f.Number == 5"]
[jump storage=foodhunt2.ks target=*hunt2]
[elsif exp="f.Number == 6"]
[jump storage=foodhunt2.ks target=*hunt3]
[else]
[jump storage=foodhunt2.ks target=*hunt3]
[endif]
[_tb_end_tyrano_code]

[s  ]
*hunt1

[tb_show_message_window  ]
[tb_start_text mode=1 ]
#
After looking around the forest for food you decide to take a rest near a small pond.[r]You then hear rustling around as you rest your eyes...[p]
[_tb_end_text]

[tb_start_tyrano_code]
[link target="*hunt1berries"][graph storage="mini_cross.png"]Do nothing and let it approach.[endlink][r][link target="*hunt1attack"][graph storage="mini_look.png"]Open your eyes and attack[endlink]
[s]
[_tb_end_tyrano_code]

*hunt1attack

[tb_start_tyrano_code]
[cm]
[_tb_end_tyrano_code]

[tb_start_text mode=1 ]
You open your eyes to attack...[r]And with unceremonious reflexes you're trapped in your own bindings.[p]
A thief emerged from the bushes collecting your ration of meat on your person.[r]Unfortunately you lost your meat.[p]
[_tb_end_text]

[tb_hide_message_window  ]
[jump  storage="foodhunt2.ks"  target="*nomeat"  ]
*hunt1berries

[tb_start_tyrano_code]
[cm]
[_tb_end_tyrano_code]

[tb_start_text mode=1 ]
You keep your eyes closed and pretend to fall asleep.[r]You hear the sound of the the thief caught in your trap. [p]
You ask what they're doing only to get spat on.[r]You reply by knocking him out.[p]
Going to the bush where you found the thief you found a bag of meat.[r]It seemed the thief was busy taking food from others.[p]
[_tb_end_text]

[tb_hide_message_window  ]
[jump  storage="foodhunt2.ks"  target="*gainmeat"  ]
*hunt2

[tb_show_message_window  ]
[tb_start_text mode=1 ]
#
You decide to go for a hunt in the forest to find some food for the Orc.[r]In front of you are the remains of a boar half eaten.[p]
[_tb_end_text]

[tb_start_tyrano_code]
[link target="*hunt2take"][graph storage="mini_sword.png"]Take the remains.[endlink][r][link target="*hunt2investigate"][graph storage="mini_arrow.png"]Investigate.[endlink]
[s]
[_tb_end_tyrano_code]

*hunt2take

[tb_start_tyrano_code]
[cm]
[_tb_end_tyrano_code]

[tb_start_text mode=1 ]
You take the remaining meat from the boar and go back to the orc.[p]
[_tb_end_text]

[tb_hide_message_window  ]
[jump  storage="foodhunt2.ks"  target="*gainmeat"  ]
*hunt2investigate

[tb_start_tyrano_code]
[cm]
[_tb_end_tyrano_code]

[tb_start_text mode=1 ]
You decided to investigate further.[r]There are tracks by the carnage.[p]
You thread carefully along the trail.[r]And find yourself at the edge of the cave of a bear.[p]
It seems too risky for you...[r]So you decide to go back to avoid getting killed.[p]
[_tb_end_text]

[jump  storage="foodhunt2.ks"  target="*nomeat"  ]
*hunt3

[tb_show_message_window  ]
[tb_start_text mode=1 ]
#
You went hunting for a boar today, a wolf accompanied you, [r]Barking and wagging off its tail, like meeting one of its pack.[p]
Through the clearning you see a pack of boars and attack, the wolf scattered them,[r] the boar charged at the wolf while another fled.[p]
[_tb_end_text]

[tb_start_tyrano_code]
[link target="*hunt3choicea"][graph storage="mini_sword.png"]Help the wolf.[endlink][r][link target="*hunt3choiceb"][graph storage="mini_escape.png"]Go for the other.[endlink]
[s]
[_tb_end_tyrano_code]

*hunt3choicea

[tb_start_tyrano_code]
[cm]
[_tb_end_tyrano_code]

[tb_start_text mode=1 ]
#
You go help the wolf take down the boar.[r]You cut the boar so you and the wolf can share the meat.[p]
[_tb_end_text]

[jump  storage="foodhunt2.ks"  target="*nomeat"  ]
*hunt3choiceb

[tb_start_tyrano_code]
[cm]
[_tb_end_tyrano_code]

[tb_start_text mode=1 ]
You go after the boar but the boar was too fast , it managed to escape.[r]You go back to the wolf but it had already killed the boar and eaten all the meat.[p]
[_tb_end_text]

[jump  storage="foodhunt2.ks"  target="*gainmeat"  ]
*gainmeat

[tb_hide_message_window  ]
[tb_image_show  time="1000"  storage="default/itemfound.png"  width="640"  height="640"  x="159"  y="5"  _clickable_img=""  name="img_41"  ]
[tb_image_show  time="500"  storage="default/food_meat.png"  width="177"  height="131"  x="393"  y="224"  _clickable_img=""  ]
[tb_eval  exp="f.food_quantity+=1"  name="food_quantity"  cmd="+="  op="t"  val="1"  ]
[tb_show_message_window  ]
[tb_start_text mode=1 ]
#
You've gained +1 Meat.[p]
[_tb_end_text]

[tb_hide_message_window  ]
[tb_image_hide  time="1000"  ]
[jump  storage="day3.ks"  target="*beginlabel"  ]
[s  ]
*nomeat

[tb_hide_message_window  ]
[tb_show_message_window  ]
[tb_start_text mode=1 ]
#
Tonight you found nothing interesting.[r]You go back to the Orc empty handed.[p]
[_tb_end_text]

[tb_hide_message_window  ]
[jump  storage="day3.ks"  target="*beginlabel"  ]
[s  ]
